## org.apache.lucene.xmlparser.builders
Class MatchAllDocsQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.MatchAllDocsQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class MatchAllDocsQueryBuilder

extends Object
implements QueryBuilder

Constructor Summary
`MatchAllDocsQueryBuilder()`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchAllDocsQueryBuilder

    public MatchAllDocsQueryBuilder()

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`